Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QHttp Class Reference
[network module]

The QHttp class provides an implementation of the HTTP protocol. More...

`#include <qhttp.h>`

Inherits QNetworkProtocol.

List of all member functions.

## Public Members

- QHttp ()
- virtual ~QHttp ()

## Detailed Description

The QHttp class provides an implementation of the HTTP protocol.

This class is derived from QNetworkProtocol and can be used with QUrlOperator. In practice this class is used through a QUrlOperator rather than directly, for example:

      QUrlOperator op( "http://www.trolltech.com" );
      op.get( "index.html" );

Note: this code will only work if the QHttp class is registered; to register the class, you must call qInitNetworkProtocols() before using a QUrlOperator with HTTP.

QHttp only supports the operations operationGet() and operationPut(), i.e. QUrlOperator::get() and QUrlOperator::put(), if you use it with a QUrlOperator.

If you really need to use QHttp directly, don't forget to set the QUrlOperator on which it operates using setUrl().

See also Qt Network Documentation, QNetworkProtocol, QUrlOperator and Input/Output and Networking.

## Member Function Documentation

### QHttp::QHttp ()

Constructs a QHttp object. Usually there is no need to use QHttp directly, since it is more convenient to use it through a QUrlOperator. If you want to use it directly, you must set the QUrlOperator on which it operates using setUrl().

### QHttp::~QHttp ()`[virtual]`

Destroys the QHttp object.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.